<?php

declare(strict_types=1);

namespace App\Service\Soap\Api;

use App\Service\Soap\DTO\DrukujWniosek;
use App\Service\Soap\DTO\DrukujWniosekResponse;
use App\Service\Soap\DTO\OdrzucWniosek;
use App\Service\Soap\DTO\OdrzucWniosekResponse;
use App\Service\Soap\DTO\OdrzucWniosekZNotka;
use App\Service\Soap\DTO\OdrzucWniosekZNotkaResponse;
use App\Service\Soap\DTO\UsunWniosek;
use App\Service\Soap\DTO\UsunWniosekResponse;
use App\Service\Soap\DTO\ZaakceptujWniosek;
use App\Service\Soap\DTO\ZaakceptujWniosekResponse;
use App\Service\Soap\DTO\ZaakceptujWniosekZNotka;
use App\Service\Soap\DTO\ZaakceptujWniosekZNotkaResponse;
use App\Service\Soap\DTO\TestujWniosek;
use App\Service\Soap\DTO\TestujWniosekResponse;
use App\Service\Soap\DTO\ZapiszWniosek;
use App\Service\Soap\DTO\ZapiszWniosekResponse;
use App\Service\Soap\DTO\PrzekazWniosek;
use App\Service\Soap\DTO\PrzekazWniosekResponse;
use App\Service\Soap\DTO\DajWyksztalcenia;
use App\Service\Soap\DTO\DajWyksztalceniaResponse;
use App\Service\Soap\DTO\DajNoweZastepstwo;
use App\Service\Soap\DTO\DajNoweZastepstwoResponse;
use App\Service\Soap\DTO\DajListeZastepstw;
use App\Service\Soap\DTO\DajListeZastepstwResponse;
use App\Service\Soap\DTO\DajZastepstwo;
use App\Service\Soap\DTO\DajZastepstwoResponse;
use App\Service\Soap\DTO\DodajZastepstwo;
use App\Service\Soap\DTO\DodajZastepstwoResponse;
use App\Service\Soap\DTO\EdytujZastepstwo;
use App\Service\Soap\DTO\EdytujZastepstwoResponse;
use App\Service\Soap\DTO\UsunZastepstwo;
use App\Service\Soap\DTO\UsunZastepstwoResponse;
use App\Service\Soap\DTO\Wyloguj;
use App\Service\Soap\DTO\WylogujResponse;
use App\Service\Soap\DTO\Zaloguj;
use App\Service\Soap\DTO\ZalogujResponse;
use App\Service\Soap\DTO\UdzielZgodyNaPrzetwarzanieDanychOsobowych;
use App\Service\Soap\DTO\UdzielZgodyNaPrzetwarzanieDanychOsobowychResponse;
use App\Service\Soap\DTO\ZalogujIZmienHaslo;
use App\Service\Soap\DTO\ZalogujIZmienHasloResponse;
use App\Service\Soap\DTO\ZmienKontekstPracownika;
use App\Service\Soap\DTO\ZmienKontekstPracownikaResponse;
use App\Service\Soap\DTO\CzyZalogowanyUzytkownikWRoli;
use App\Service\Soap\DTO\CzyZalogowanyUzytkownikWRoliResponse;
use App\Service\Soap\DTO\DajZdarzenia;
use App\Service\Soap\DTO\DajZdarzeniaResponse;
use App\Service\Soap\DTO\DajNowyZapisFamaba;
use App\Service\Soap\DTO\DajNowyZapisFamabaResponse;
use App\Service\Soap\DTO\DajPojedynczyZapisFamaba;
use App\Service\Soap\DTO\DajPojedynczyZapisFamabaResponse;
use App\Service\Soap\DTO\DajZapisyFamaba;
use App\Service\Soap\DTO\DajZapisyFamabaResponse;
use App\Service\Soap\DTO\DodajZapisFamaba;
use App\Service\Soap\DTO\DodajZapisFamabaResponse;
use App\Service\Soap\DTO\EdytujZapisFamaba;
use App\Service\Soap\DTO\EdytujZapisFamabaResponse;
use App\Service\Soap\DTO\KontrolujZapisFamaba;
use App\Service\Soap\DTO\KontrolujZapisFamabaResponse;
use App\Service\Soap\DTO\PrzeliczZapisFamaba;
use App\Service\Soap\DTO\PrzeliczZapisFamabaResponse;
use App\Service\Soap\DTO\UsunZapisFamaba;
use App\Service\Soap\DTO\UsunZapisFamabaResponse;
use App\Service\Soap\DTO\DajAktywneZakladkiUMC;
use App\Service\Soap\DTO\DajAktywneZakladkiUMCResponse;
use App\Service\Soap\DTO\DajFormularzOcenyUMC;
use App\Service\Soap\DTO\DajFormularzOcenyUMCResponse;
use App\Service\Soap\DTO\DajFormularzeOcenyUMC;
use App\Service\Soap\DTO\DajFormularzeOcenyUMCResponse;
use App\Service\Soap\DTO\AktualizujTworceFormularzaOcenyUMC;
use App\Service\Soap\DTO\AktualizujTworceFormularzaOcenyUMCResponse;
use App\Service\Soap\DTO\DodajIPublikujFormularzOcenyUMC;
use App\Service\Soap\DTO\DodajIPublikujFormularzOcenyUMCResponse;
use App\Service\Soap\DTO\DodajFormularzOcenyUMC;
use App\Service\Soap\DTO\DodajFormularzOcenyUMCResponse;
use App\Service\Soap\DTO\DajNowyFormularzOcenyUMC;
use App\Service\Soap\DTO\DajNowyFormularzOcenyUMCResponse;
use App\Service\Soap\DTO\AktualizujPrzelozonychFormularzaOcenyUMC;
use App\Service\Soap\DTO\AktualizujPrzelozonychFormularzaOcenyUMCResponse;
use App\Service\Soap\DTO\EdytujFormularzOcenyUMC;
use App\Service\Soap\DTO\EdytujFormularzOcenyUMCResponse;
use App\Service\Soap\DTO\UsunFormularzOcenyUMC;
use App\Service\Soap\DTO\UsunFormularzOcenyUMCResponse;
use App\Service\Soap\DTO\DajAdresyPodleglychOcenyUMC;
use App\Service\Soap\DTO\DajAdresyPodleglychOcenyUMCResponse;
use App\Service\Soap\DTO\WykonajOperacjeNaFormularzuUMC;
use App\Service\Soap\DTO\WykonajOperacjeNaFormularzuUMCResponse;
use App\Service\Soap\DTO\DajMozliweRaportyOdziezyRoboczej;
use App\Service\Soap\DTO\DajMozliweRaportyOdziezyRoboczejResponse;
use App\Service\Soap\DTO\DajZapisyOdziezyRoboczej;
use App\Service\Soap\DTO\DajZapisyOdziezyRoboczejResponse;
use App\Service\Soap\DTO\DrukujRaportOdziezyRoboczej;
use App\Service\Soap\DTO\DrukujRaportOdziezyRoboczejResponse;
use App\Service\Soap\DTO\DajMozliweRaportyPortalu;
use App\Service\Soap\DTO\DajMozliweRaportyPortaluResponse;
use App\Service\Soap\DTO\DrukujRaportPortalu;
use App\Service\Soap\DTO\DrukujRaportPortaluResponse;
use App\Service\Soap\DTO\KonfigurujRaportPortalu;
use App\Service\Soap\DTO\KonfigurujRaportPortaluResponse;
use App\Service\Soap\DTO\DajListeWnioskowKadrowych;
use App\Service\Soap\DTO\DajListeWnioskowKadrowychResponse;
use App\Service\Soap\DTO\DajWniosekKadrowy;
use App\Service\Soap\DTO\DajWniosekKadrowyResponse;
use App\Service\Soap\DTO\DajMozliweRodzajeWnioskuKadrowego;
use App\Service\Soap\DTO\DajMozliweRodzajeWnioskuKadrowegoResponse;
use App\Service\Soap\DTO\DajNowyWniosekKadrowy;
use App\Service\Soap\DTO\DajNowyWniosekKadrowyResponse;
use App\Service\Soap\DTO\DodajWniosekKadrowy;
use App\Service\Soap\DTO\DodajWniosekKadrowyResponse;
use App\Service\Soap\DTO\DrukujWniosekKadrowy;
use App\Service\Soap\DTO\DrukujWniosekKadrowyResponse;
use App\Service\Soap\DTO\EdytujWniosekKadrowy;
use App\Service\Soap\DTO\EdytujWniosekKadrowyResponse;
use App\Service\Soap\DTO\OdrzucWniosekKadrowy;
use App\Service\Soap\DTO\OdrzucWniosekKadrowyResponse;
use App\Service\Soap\DTO\PrzekazWniosekKadrowy;
use App\Service\Soap\DTO\PrzekazWniosekKadrowyResponse;
use App\Service\Soap\DTO\UsunWniosekKadrowy;
use App\Service\Soap\DTO\UsunWniosekKadrowyResponse;
use App\Service\Soap\DTO\WeryfikujWniosekKadrowy;
use App\Service\Soap\DTO\WeryfikujWniosekKadrowyResponse;
use App\Service\Soap\DTO\ZaakceptujWniosekKadrowy;
use App\Service\Soap\DTO\ZaakceptujWniosekKadrowyResponse;
use App\Service\Soap\DTO\DajKody;
use App\Service\Soap\DTO\DajKodyResponse;
use App\Service\Soap\DTO\DajNoweZawiesie;
use App\Service\Soap\DTO\DajNoweZawiesieResponse;
use App\Service\Soap\DTO\DajZawiesia;
use App\Service\Soap\DTO\DajZawiesiaResponse;
use App\Service\Soap\DTO\DajZawiesie;
use App\Service\Soap\DTO\DajZawiesieResponse;
use App\Service\Soap\DTO\DodajZawiesie;
use App\Service\Soap\DTO\DodajZawiesieResponse;
use App\Service\Soap\DTO\EdytujZawiesie;
use App\Service\Soap\DTO\EdytujZawiesieResponse;
use App\Service\Soap\DTO\KontrolujZawiesie;
use App\Service\Soap\DTO\KontrolujZawiesieResponse;
use App\Service\Soap\DTO\UsunZawiesie;
use App\Service\Soap\DTO\UsunZawiesieResponse;
use App\Service\Soap\DTO\DajNoweZgloszenieSzkolenia;
use App\Service\Soap\DTO\DajNoweZgloszenieSzkoleniaResponse;
use App\Service\Soap\DTO\DajZgloszeniaSzkolenia;
use App\Service\Soap\DTO\DajZgloszeniaSzkoleniaResponse;
use App\Service\Soap\DTO\DajZgloszenieSzkolenia;
use App\Service\Soap\DTO\DajZgloszenieSzkoleniaResponse;
use App\Service\Soap\DTO\DodajZgloszenieSzkolenia;
use App\Service\Soap\DTO\DodajZgloszenieSzkoleniaResponse;
use App\Service\Soap\DTO\EdytujZgloszenieSzkolenia;
use App\Service\Soap\DTO\EdytujZgloszenieSzkoleniaResponse;
use App\Service\Soap\DTO\KontrolujZgloszenieSzkolenia;
use App\Service\Soap\DTO\KontrolujZgloszenieSzkoleniaResponse;
use App\Service\Soap\DTO\UsunZgloszenieSzkolenia;
use App\Service\Soap\DTO\UsunZgloszenieSzkoleniaResponse;
use App\Service\Soap\DTO\DajKarteStanowiskowa;
use App\Service\Soap\DTO\DajKarteStanowiskowaResponse;
use App\Service\Soap\DTO\DajMozliweRodzajeWnioskuZFS;
use App\Service\Soap\DTO\DajMozliweRodzajeWnioskuZFSResponse;
use App\Service\Soap\DTO\DajNowyWniosekZFS;
use App\Service\Soap\DTO\DajNowyWniosekZFSResponse;
use App\Service\Soap\DTO\DajWnioskiZFS;
use App\Service\Soap\DTO\DajWnioskiZFSResponse;
use App\Service\Soap\DTO\DajWniosekZFS;
use App\Service\Soap\DTO\DajWniosekZFSResponse;
use App\Service\Soap\DTO\DodajWniosekZFS;
use App\Service\Soap\DTO\DodajWniosekZFSResponse;
use App\Service\Soap\DTO\EdytujWniosekZFS;
use App\Service\Soap\DTO\EdytujWniosekZFSResponse;
use App\Service\Soap\DTO\KontrolujWniosekZFS;
use App\Service\Soap\DTO\KontrolujWniosekZFSResponse;
use App\Service\Soap\DTO\UsunWniosekZFS;
use App\Service\Soap\DTO\UsunWniosekZFSResponse;
use App\Service\Soap\DTO\DajListeMozliwychKodowWnioskuZaPodwladnego;
use App\Service\Soap\DTO\DajListeMozliwychKodowWnioskuZaPodwladnegoResponse;
use App\Service\Soap\DTO\OpiszKod;
use App\Service\Soap\DTO\OpiszKodResponse;
use App\Service\Soap\DTO\OpiszKodNowy;
use App\Service\Soap\DTO\OpiszKodNowyResponse;
use App\Service\Soap\DTO\OpiszProjekt;
use App\Service\Soap\DTO\OpiszProjektResponse;
use App\Service\Soap\DTO\OpiszRodzajKodow;
use App\Service\Soap\DTO\OpiszRodzajKodowResponse;
use App\Service\Soap\DTO\DajWidokKodow;
use App\Service\Soap\DTO\DajWidokKodowResponse;
use App\Service\Soap\DTO\DajWidokProjektow;
use App\Service\Soap\DTO\DajWidokProjektowResponse;
use App\Service\Soap\DTO\DajKwalifikacje;
use App\Service\Soap\DTO\DajKwalifikacjeResponse;
use App\Service\Soap\DTO\DajModuly;
use App\Service\Soap\DTO\DajModulyResponse;
use App\Service\Soap\DTO\DajUprawnieniaPoGid;
use App\Service\Soap\DTO\DajUprawnieniaPoGidResponse;
use App\Service\Soap\DTO\DajUprawnieniaPoNazwie;
use App\Service\Soap\DTO\DajUprawnieniaPoNazwieResponse;
use App\Service\Soap\DTO\DajNieobecnosci;
use App\Service\Soap\DTO\DajNieobecnosciResponse;
use App\Service\Soap\DTO\DajNieobecnychWspolpracownikowWDniu;
use App\Service\Soap\DTO\DajNieobecnychWspolpracownikowWDniuResponse;
use App\Service\Soap\DTO\WstawZapoznanieSieZFormularzemUMC;
use App\Service\Soap\DTO\WstawZapoznanieSieZFormularzemUMCResponse;
use App\Service\Soap\DTO\DajOcene;
use App\Service\Soap\DTO\DajOceneResponse;
use App\Service\Soap\DTO\DajOceny;
use App\Service\Soap\DTO\DajOcenyResponse;
use App\Service\Soap\DTO\DodajOcene;
use App\Service\Soap\DTO\DodajOceneResponse;
use App\Service\Soap\DTO\EdytujOcene;
use App\Service\Soap\DTO\EdytujOceneResponse;
use App\Service\Soap\DTO\UsunOcene;
use App\Service\Soap\DTO\UsunOceneResponse;
use App\Service\Soap\DTO\DajDateICzasWygasnieciaSesji;
use App\Service\Soap\DTO\DajDateICzasWygasnieciaSesjiResponse;
use App\Service\Soap\DTO\DajAktywneZakladki;
use App\Service\Soap\DTO\DajAktywneZakladkiResponse;
use App\Service\Soap\DTO\DajFormularzOceny;
use App\Service\Soap\DTO\DajFormularzOcenyResponse;
use App\Service\Soap\DTO\DajFormularzeOceny;
use App\Service\Soap\DTO\DajFormularzeOcenyResponse;
use App\Service\Soap\DTO\AktualizujTworceFormularzaOceny;
use App\Service\Soap\DTO\AktualizujTworceFormularzaOcenyResponse;
use App\Service\Soap\DTO\DodajIPublikujFormularzOceny;
use App\Service\Soap\DTO\DodajIPublikujFormularzOcenyResponse;
use App\Service\Soap\DTO\DodajFormularzOceny;
use App\Service\Soap\DTO\DodajFormularzOcenyResponse;
use App\Service\Soap\DTO\DajNowyFormularzOceny;
use App\Service\Soap\DTO\DajNowyFormularzOcenyResponse;
use App\Service\Soap\DTO\AktualizujPrzelozonychFormularzaOceny;
use App\Service\Soap\DTO\AktualizujPrzelozonychFormularzaOcenyResponse;
use App\Service\Soap\DTO\EdytujFormularzOceny;
use App\Service\Soap\DTO\EdytujFormularzOcenyResponse;
use App\Service\Soap\DTO\UsunFormularzOceny;
use App\Service\Soap\DTO\UsunFormularzOcenyResponse;
use App\Service\Soap\DTO\DajAdresyPodleglychOceny;
use App\Service\Soap\DTO\DajAdresyPodleglychOcenyResponse;
use App\Service\Soap\DTO\WykonajOperacjeNaFormularzu;
use App\Service\Soap\DTO\WykonajOperacjeNaFormularzuResponse;
use App\Service\Soap\DTO\DajPlanyUrlopu;
use App\Service\Soap\DTO\DajPlanyUrlopuResponse;
use App\Service\Soap\DTO\DajPlanUrlopu;
use App\Service\Soap\DTO\DajPlanUrlopuResponse;
use App\Service\Soap\DTO\DajPlanUrlopuPodleglych;
use App\Service\Soap\DTO\DajPlanUrlopuPodleglychResponse;
use App\Service\Soap\DTO\AkceptujOdrzucPlanowanyUrlop;
use App\Service\Soap\DTO\AkceptujOdrzucPlanowanyUrlopResponse;
use App\Service\Soap\DTO\DajKalendarzUrlopowPlanowanychWspolpracownikow;
use App\Service\Soap\DTO\DajKalendarzUrlopowPlanowanychWspolpracownikowResponse;
use App\Service\Soap\DTO\UsunPlanUrlopu;
use App\Service\Soap\DTO\UsunPlanUrlopuResponse;
use App\Service\Soap\DTO\TestujPlanUrlopu;
use App\Service\Soap\DTO\TestujPlanUrlopuResponse;
use App\Service\Soap\DTO\ZapiszPlanUrlopu;
use App\Service\Soap\DTO\ZapiszPlanUrlopuResponse;
use App\Service\Soap\DTO\TestujZapiszPlanUrlopu;
use App\Service\Soap\DTO\TestujZapiszPlanUrlopuResponse;
use App\Service\Soap\DTO\DajKalendarzUrlopowPlanowanych;
use App\Service\Soap\DTO\DajKalendarzUrlopowPlanowanychResponse;
use App\Service\Soap\DTO\DajDaneOsobowe;
use App\Service\Soap\DTO\DajDaneOsoboweResponse;
use App\Service\Soap\DTO\DajListePracownikow;
use App\Service\Soap\DTO\DajListePracownikowResponse;
use App\Service\Soap\DTO\DajListeWspolpracownikow;
use App\Service\Soap\DTO\DajListeWspolpracownikowResponse;
use App\Service\Soap\DTO\OpiszPracownika;
use App\Service\Soap\DTO\OpiszPracownikaResponse;
use App\Service\Soap\DTO\DajPrzebiegiPracy;
use App\Service\Soap\DTO\DajPrzebiegiPracyResponse;
use App\Service\Soap\DTO\AktualizujACLRoli;
use App\Service\Soap\DTO\AktualizujACLRoliResponse;
use App\Service\Soap\DTO\AktualizujPrzynaleznoscUzytkownikowDoRoli;
use App\Service\Soap\DTO\AktualizujPrzynaleznoscUzytkownikowDoRoliResponse;
use App\Service\Soap\DTO\DajRolePojedyncza;
use App\Service\Soap\DTO\DajRolePojedynczaResponse;
use App\Service\Soap\DTO\DajRole;
use App\Service\Soap\DTO\DajRoleResponse;
use App\Service\Soap\DTO\DodajRole;
use App\Service\Soap\DTO\DodajRoleResponse;
use App\Service\Soap\DTO\EdytujRole;
use App\Service\Soap\DTO\EdytujRoleResponse;
use App\Service\Soap\DTO\UsunRole;
use App\Service\Soap\DTO\UsunRoleResponse;
use App\Service\Soap\DTO\DajListeSciezekAkceptacji;
use App\Service\Soap\DTO\DajListeSciezekAkceptacjiResponse;
use App\Service\Soap\DTO\DajSciezkeAkceptacji;
use App\Service\Soap\DTO\DajSciezkeAkceptacjiResponse;
use App\Service\Soap\DTO\DodajSciezkeAkceptacji;
use App\Service\Soap\DTO\DodajSciezkeAkceptacjiResponse;
use App\Service\Soap\DTO\EdytujSciezkeAkceptacji;
use App\Service\Soap\DTO\EdytujSciezkeAkceptacjiResponse;
use App\Service\Soap\DTO\UsunSciezkeAkceptacji;
use App\Service\Soap\DTO\UsunSciezkeAkceptacjiResponse;
use App\Service\Soap\DTO\DajSzkolenia;
use App\Service\Soap\DTO\DajSzkoleniaResponse;
use App\Service\Soap\DTO\DajUmowyOPrace;
use App\Service\Soap\DTO\DajUmowyOPraceResponse;
use App\Service\Soap\DTO\DajInformacjeOSaldach;
use App\Service\Soap\DTO\DajInformacjeOSaldachResponse;
use App\Service\Soap\DTO\DajUzytkownika;
use App\Service\Soap\DTO\DajUzytkownikaResponse;
use App\Service\Soap\DTO\DajUzytkownikow;
use App\Service\Soap\DTO\DajUzytkownikowResponse;
use App\Service\Soap\DTO\DodajUzytkownika;
use App\Service\Soap\DTO\DodajUzytkownikaResponse;
use App\Service\Soap\DTO\EdytujUzytkownika;
use App\Service\Soap\DTO\EdytujUzytkownikaResponse;
use App\Service\Soap\DTO\UsunUzytkownika;
use App\Service\Soap\DTO\UsunUzytkownikaResponse;
use App\Service\Soap\DTO\DajAdresy;
use App\Service\Soap\DTO\DajAdresyResponse;
use App\Service\Soap\DTO\DajListeWiadomosci;
use App\Service\Soap\DTO\DajListeWiadomosciResponse;
use App\Service\Soap\DTO\DajWiadomosc;
use App\Service\Soap\DTO\DajWiadomoscResponse;
use App\Service\Soap\DTO\UstawJakoOdebrana;
use App\Service\Soap\DTO\UstawJakoOdebranaResponse;
use App\Service\Soap\DTO\UstawJakoUkryta;
use App\Service\Soap\DTO\UstawJakoUkrytaResponse;
use App\Service\Soap\DTO\PublikujWiadomosc;
use App\Service\Soap\DTO\PublikujWiadomoscResponse;
use App\Service\Soap\DTO\ZapiszWiadomosc;
use App\Service\Soap\DTO\ZapiszWiadomoscResponse;
use App\Service\Soap\DTO\DajPriorytetyWiadomosci;
use App\Service\Soap\DTO\DajPriorytetyWiadomosciResponse;
use App\Service\Soap\DTO\DajPodwladnychDlaKtorychMogeSkladacWnioski;
use App\Service\Soap\DTO\DajPodwladnychDlaKtorychMogeSkladacWnioskiResponse;
use App\Service\Soap\DTO\AkceptujOdrzucZastepstwo;
use App\Service\Soap\DTO\AkceptujOdrzucZastepstwoResponse;
use App\Service\Soap\DTO\AkceptujZastepstwo;
use App\Service\Soap\DTO\AkceptujZastepstwoResponse;
use App\Service\Soap\DTO\OdrzucZastepstwo;
use App\Service\Soap\DTO\OdrzucZastepstwoResponse;
use App\Service\Soap\DTO\DajListeWnioskow;
use App\Service\Soap\DTO\DajListeWnioskowResponse;
use App\Service\Soap\DTO\DajListeWnioskowZWskazaniemNaZastepce;
use App\Service\Soap\DTO\DajListeWnioskowZWskazaniemNaZastepceResponse;
use App\Service\Soap\DTO\DajNowyWniosek;
use App\Service\Soap\DTO\DajNowyWniosekResponse;
use App\Service\Soap\DTO\DajNowyWniosekDlaPodwladnego;
use App\Service\Soap\DTO\DajNowyWniosekDlaPodwladnegoResponse;
use App\Service\Soap\DTO\DajWniosek;
use App\Service\Soap\DTO\DajWniosekResponse;
use App\Service\Soap\DTO\PotwierdzMFA;
use App\Service\Soap\DTO\PotwierdzMFAResponse;
use App\Service\Soap\DTO\Hello;
use App\Service\Soap\DTO\HelloResponse;
use App\Service\Soap\DTO\DrukujRaportOdbic;
use App\Service\Soap\DTO\DrukujRaportOdbicResponse;
use App\Service\Soap\DTO\UsunDokument;
use App\Service\Soap\DTO\UsunDokumentResponse;
use App\Service\Soap\DTO\AktualizujDaneOsobowe;
use App\Service\Soap\DTO\AktualizujDaneOsoboweResponse;
use App\Service\Soap\DTO\SesjaPlus;
use App\Service\Soap\DTO\SesjaPlusResponse;
use App\Service\Soap\DTO\DajOpisPracownika;
use App\Service\Soap\DTO\DajOpisPracownikaResponse;
use App\Service\Soap\DTO\DajAdresyEmailZalogowanego;
use App\Service\Soap\DTO\DajAdresyEmailZalogowanegoResponse;
use App\Service\Soap\DTO\DrukujRaportWnioskowRCP;
use App\Service\Soap\DTO\DrukujRaportWnioskowRCPResponse;
use App\Service\Soap\DTO\AkceptujOdrzucWniosekRCP;
use App\Service\Soap\DTO\AkceptujOdrzucWniosekRCPResponse;
use App\Service\Soap\DTO\DajListePracownikowDoWnioskuRCP;
use App\Service\Soap\DTO\DajListePracownikowDoWnioskuRCPResponse;
use App\Service\Soap\DTO\DrukujRaport;
use App\Service\Soap\DTO\DrukujRaportResponse;
use App\Service\Soap\DTO\DajWnioskiRCPPozostajaceDoOdbioru;
use App\Service\Soap\DTO\DajWnioskiRCPPozostajaceDoOdbioruResponse;
use App\Service\Soap\DTO\DajPojedynczyWniosekRCP;
use App\Service\Soap\DTO\DajPojedynczyWniosekRCPResponse;
use App\Service\Soap\DTO\DajNowyWniosekRCP;
use App\Service\Soap\DTO\DajNowyWniosekRCPResponse;
use App\Service\Soap\DTO\DajWidokWnioskowRCP;
use App\Service\Soap\DTO\DajWidokWnioskowRCPResponse;
use App\Service\Soap\DTO\DodajWniosekRCP;
use App\Service\Soap\DTO\DodajWniosekRCPResponse;
use App\Service\Soap\DTO\KontrolujWniosekRCP;
use App\Service\Soap\DTO\KontrolujWniosekRCPResponse;
use App\Service\Soap\DTO\ModyfikujWniosekRCP;
use App\Service\Soap\DTO\ModyfikujWniosekRCPResponse;
use App\Service\Soap\DTO\UsunWniosekRCP;
use App\Service\Soap\DTO\UsunWniosekRCPResponse;
use App\Service\Soap\DTO\DajWierszeKartRCPx;
use App\Service\Soap\DTO\DajWierszeKartRCPxResponse;
use App\Service\Soap\DTO\DajPojedynczaTrase;
use App\Service\Soap\DTO\DajPojedynczaTraseResponse;
use App\Service\Soap\DTO\DajNowaTrase;
use App\Service\Soap\DTO\DajNowaTraseResponse;
use App\Service\Soap\DTO\DajListeTras;
use App\Service\Soap\DTO\DajListeTrasResponse;
use App\Service\Soap\DTO\DajWidokTras;
use App\Service\Soap\DTO\DajWidokTrasResponse;
use App\Service\Soap\DTO\DodajTrase;
use App\Service\Soap\DTO\DodajTraseResponse;
use App\Service\Soap\DTO\KontrolujTrase;
use App\Service\Soap\DTO\KontrolujTraseResponse;
use App\Service\Soap\DTO\ModyfikujTrase;
use App\Service\Soap\DTO\ModyfikujTraseResponse;
use App\Service\Soap\DTO\UsunTrase;
use App\Service\Soap\DTO\UsunTraseResponse;
use App\Service\Soap\DTO\DajNowaDelegacje;
use App\Service\Soap\DTO\DajNowaDelegacjeResponse;
use App\Service\Soap\DTO\DajPojedynczaDelegacje;
use App\Service\Soap\DTO\DajPojedynczaDelegacjeResponse;
use App\Service\Soap\DTO\DajListeDelegacji;
use App\Service\Soap\DTO\DajListeDelegacjiResponse;
use App\Service\Soap\DTO\DajWidokDelegacji;
use App\Service\Soap\DTO\DajWidokDelegacjiResponse;
use App\Service\Soap\DTO\DodajDelegacje;
use App\Service\Soap\DTO\DodajDelegacjeResponse;
use App\Service\Soap\DTO\KontrolujDelegacje;
use App\Service\Soap\DTO\KontrolujDelegacjeResponse;
use App\Service\Soap\DTO\ModyfikujDelegacje;
use App\Service\Soap\DTO\ModyfikujDelegacjeResponse;
use App\Service\Soap\DTO\UsunDelegacje;
use App\Service\Soap\DTO\UsunDelegacjeResponse;
use App\Service\Soap\DTO\DajNowySamochod;
use App\Service\Soap\DTO\DajNowySamochodResponse;
use App\Service\Soap\DTO\DajPojedynczySamochod;
use App\Service\Soap\DTO\DajPojedynczySamochodResponse;
use App\Service\Soap\DTO\DajListeSamochodow;
use App\Service\Soap\DTO\DajListeSamochodowResponse;
use App\Service\Soap\DTO\DajWidokSamochodow;
use App\Service\Soap\DTO\DajWidokSamochodowResponse;
use App\Service\Soap\DTO\DodajSamochod;
use App\Service\Soap\DTO\DodajSamochodResponse;
use App\Service\Soap\DTO\KontrolujSamochod;
use App\Service\Soap\DTO\KontrolujSamochodResponse;
use App\Service\Soap\DTO\ModyfikujSamochod;
use App\Service\Soap\DTO\ModyfikujSamochodResponse;
use App\Service\Soap\DTO\UsunSamochod;
use App\Service\Soap\DTO\UsunSamochodResponse;
use App\Service\Soap\DTO\DajBadaniaLekarskie;
use App\Service\Soap\DTO\DajBadaniaLekarskieResponse;
use App\Service\Soap\DTO\DajZdarzeniaRCP;
use App\Service\Soap\DTO\DajZdarzeniaRCPResponse;
use App\Service\Soap\DTO\DajZdarzeniaRCPWspolpracownikow;
use App\Service\Soap\DTO\DajZdarzeniaRCPWspolpracownikowResponse;
use App\Service\Soap\DTO\DajNoweOdbicie;
use App\Service\Soap\DTO\DajNoweOdbicieResponse;
use App\Service\Soap\DTO\DajOdbicia;
use App\Service\Soap\DTO\DajOdbiciaResponse;
use App\Service\Soap\DTO\DodajOdbicie;
use App\Service\Soap\DTO\DodajOdbicieResponse;
use App\Service\Soap\DTO\DajOstatnieOdbicie;
use App\Service\Soap\DTO\DajOstatnieOdbicieResponse;
use App\Service\Soap\DTO\DajOdbicie;
use App\Service\Soap\DTO\DajOdbicieResponse;
use App\Service\Soap\DTO\UsunOdbicie;
use App\Service\Soap\DTO\UsunOdbicieResponse;
use App\Service\Soap\DTO\EdytujOdbicie;
use App\Service\Soap\DTO\EdytujOdbicieResponse;
use App\Service\Soap\DTO\WstawOdbicie;
use App\Service\Soap\DTO\WstawOdbicieResponse;
use App\Service\Soap\DTO\DajUstawieniaRejestruNadgodzin;
use App\Service\Soap\DTO\DajUstawieniaRejestruNadgodzinResponse;
use App\Service\Soap\DTO\AktualizujParametryNadgodziny;
use App\Service\Soap\DTO\AktualizujParametryNadgodzinyResponse;
use App\Service\Soap\DTO\DajRealizacjeDoWniosku;
use App\Service\Soap\DTO\DajRealizacjeDoWnioskuResponse;
use App\Service\Soap\DTO\DajInformacjeOPrzetwarzaniu;
use App\Service\Soap\DTO\DajInformacjeOPrzetwarzaniuResponse;
use App\Service\Soap\DTO\DajMozliweRodzajeZapisu;
use App\Service\Soap\DTO\DajMozliweRodzajeZapisuResponse;
use App\Service\Soap\DTO\DajNadgodzine;
use App\Service\Soap\DTO\DajNadgodzineResponse;
use App\Service\Soap\DTO\DajNadgodziny;
use App\Service\Soap\DTO\DajNadgodzinyResponse;
use App\Service\Soap\DTO\DajNowaNadgodzine;
use App\Service\Soap\DTO\DajNowaNadgodzineResponse;
use App\Service\Soap\DTO\DajWniosekZlecenieDoOkreslonejRealizacji;
use App\Service\Soap\DTO\DajWniosekZlecenieDoOkreslonejRealizacjiResponse;
use App\Service\Soap\DTO\UsunNadgodzine;
use App\Service\Soap\DTO\UsunNadgodzineResponse;
use App\Service\Soap\DTO\ZaakceptujZdejmijAkceptacje;
use App\Service\Soap\DTO\ZaakceptujZdejmijAkceptacjeResponse;
use App\Service\Soap\DTO\ZapiszNadgodzine;
use App\Service\Soap\DTO\ZapiszNadgodzineResponse;
use App\Service\Soap\DTO\DajCzlonkowRodziny;
use App\Service\Soap\DTO\DajCzlonkowRodzinyResponse;
use App\Service\Soap\DTO\DajDokumenty;
use App\Service\Soap\DTO\DajDokumentyResponse;
use App\Service\Soap\DTO\DajHistoriePrzetwarzaniaDokumentu;
use App\Service\Soap\DTO\DajHistoriePrzetwarzaniaDokumentuResponse;
use App\Service\Soap\DTO\DajDokument;
use App\Service\Soap\DTO\DajDokumentResponse;
use App\Service\Soap\DTO\DajDokument1;
use App\Service\Soap\DTO\DajDokument1Response;
use App\Service\Soap\DTO\DajDokumentZWybranaTrescia;
use App\Service\Soap\DTO\DajDokumentZWybranaTresciaResponse;
use App\Service\Soap\DTO\DajDokumentZWybranaTrescia1;
use App\Service\Soap\DTO\DajDokumentZWybranaTrescia1Response;
use App\Service\Soap\DTO\WyslijDokumentEmail;
use App\Service\Soap\DTO\WyslijDokumentEmailResponse;
use App\Service\Soap\DTO\DajMozliweImporty;
use App\Service\Soap\DTO\DajMozliweImportyResponse;
use App\Service\Soap\DTO\Importuj;
use App\Service\Soap\DTO\ImportujResponse;
use App\Service\Soap\DTO\DajInformacjePlacowe;
use App\Service\Soap\DTO\DajInformacjePlacoweResponse;
use App\Service\Soap\DTO\DajJezyki;
use App\Service\Soap\DTO\DajJezykiResponse;
use App\Service\Soap\DTO\DajKary;
use App\Service\Soap\DTO\DajKaryResponse;
use App\Service\Soap\DTO\DajListeKodow;
use App\Service\Soap\DTO\DajListeKodowResponse;
use App\Service\Soap\DTO\DajListeMozliwychKodowWniosku;
use App\Service\Soap\DTO\DajListeMozliwychKodowWnioskuResponse;

class ApiPortalPracownika extends ServiceAbstract implements ApiPortalPracownikaInteface
{
    public function DrukujWniosek(DrukujWniosek $parameters): DrukujWniosekResponse
    {
        $name = 'DrukujWniosek';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function OdrzucWniosek(OdrzucWniosek $parameters): OdrzucWniosekResponse
    {
        $name = 'OdrzucWniosek';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function OdrzucWniosekZNotka(OdrzucWniosekZNotka $parameters): OdrzucWniosekZNotkaResponse
    {
        $name = 'OdrzucWniosekZNotka';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunWniosek(UsunWniosek $parameters): UsunWniosekResponse
    {
        $name = 'UsunWniosek';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ZaakceptujWniosek(ZaakceptujWniosek $parameters): ZaakceptujWniosekResponse
    {
        $name = 'ZaakceptujWniosek';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ZaakceptujWniosekZNotka(ZaakceptujWniosekZNotka $parameters): ZaakceptujWniosekZNotkaResponse
    {
        $name = 'ZaakceptujWniosekZNotka';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function TestujWniosek(TestujWniosek $parameters): TestujWniosekResponse
    {
        $name = 'TestujWniosek';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ZapiszWniosek(ZapiszWniosek $parameters): ZapiszWniosekResponse
    {
        $name = 'ZapiszWniosek';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function PrzekazWniosek(PrzekazWniosek $parameters): PrzekazWniosekResponse
    {
        $name = 'PrzekazWniosek';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWyksztalcenia(DajWyksztalcenia $parameters): DajWyksztalceniaResponse
    {
        $name = 'DajWyksztalcenia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNoweZastepstwo(DajNoweZastepstwo $parameters): DajNoweZastepstwoResponse
    {
        $name = 'DajNoweZastepstwo';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeZastepstw(DajListeZastepstw $parameters): DajListeZastepstwResponse
    {
        $name = 'DajListeZastepstw';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajZastepstwo(DajZastepstwo $parameters): DajZastepstwoResponse
    {
        $name = 'DajZastepstwo';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajZastepstwo(DodajZastepstwo $parameters): DodajZastepstwoResponse
    {
        $name = 'DodajZastepstwo';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujZastepstwo(EdytujZastepstwo $parameters): EdytujZastepstwoResponse
    {
        $name = 'EdytujZastepstwo';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunZastepstwo(UsunZastepstwo $parameters): UsunZastepstwoResponse
    {
        $name = 'UsunZastepstwo';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function Wyloguj(Wyloguj $parameters): WylogujResponse
    {
        $name = 'Wyloguj';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function Zaloguj(Zaloguj $parameters): ZalogujResponse
    {
        $name = 'Zaloguj';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UdzielZgodyNaPrzetwarzanieDanychOsobowych(UdzielZgodyNaPrzetwarzanieDanychOsobowych $parameters): UdzielZgodyNaPrzetwarzanieDanychOsobowychResponse
    {
        $name = 'UdzielZgodyNaPrzetwarzanieDanychOsobowych';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ZalogujIZmienHaslo(ZalogujIZmienHaslo $parameters): ZalogujIZmienHasloResponse
    {
        $name = 'ZalogujIZmienHaslo';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ZmienKontekstPracownika(ZmienKontekstPracownika $parameters): ZmienKontekstPracownikaResponse
    {
        $name = 'ZmienKontekstPracownika';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function CzyZalogowanyUzytkownikWRoli(CzyZalogowanyUzytkownikWRoli $parameters): CzyZalogowanyUzytkownikWRoliResponse
    {
        $name = 'CzyZalogowanyUzytkownikWRoli';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajZdarzenia(DajZdarzenia $parameters): DajZdarzeniaResponse
    {
        $name = 'DajZdarzenia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowyZapisFamaba(DajNowyZapisFamaba $parameters): DajNowyZapisFamabaResponse
    {
        $name = 'DajNowyZapisFamaba';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPojedynczyZapisFamaba(DajPojedynczyZapisFamaba $parameters): DajPojedynczyZapisFamabaResponse
    {
        $name = 'DajPojedynczyZapisFamaba';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajZapisyFamaba(DajZapisyFamaba $parameters): DajZapisyFamabaResponse
    {
        $name = 'DajZapisyFamaba';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajZapisFamaba(DodajZapisFamaba $parameters): DodajZapisFamabaResponse
    {
        $name = 'DodajZapisFamaba';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujZapisFamaba(EdytujZapisFamaba $parameters): EdytujZapisFamabaResponse
    {
        $name = 'EdytujZapisFamaba';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function KontrolujZapisFamaba(KontrolujZapisFamaba $parameters): KontrolujZapisFamabaResponse
    {
        $name = 'KontrolujZapisFamaba';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function PrzeliczZapisFamaba(PrzeliczZapisFamaba $parameters): PrzeliczZapisFamabaResponse
    {
        $name = 'PrzeliczZapisFamaba';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunZapisFamaba(UsunZapisFamaba $parameters): UsunZapisFamabaResponse
    {
        $name = 'UsunZapisFamaba';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajAktywneZakladkiUMC(DajAktywneZakladkiUMC $parameters): DajAktywneZakladkiUMCResponse
    {
        $name = 'DajAktywneZakladkiUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajFormularzOcenyUMC(DajFormularzOcenyUMC $parameters): DajFormularzOcenyUMCResponse
    {
        $name = 'DajFormularzOcenyUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajFormularzeOcenyUMC(DajFormularzeOcenyUMC $parameters): DajFormularzeOcenyUMCResponse
    {
        $name = 'DajFormularzeOcenyUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AktualizujTworceFormularzaOcenyUMC(AktualizujTworceFormularzaOcenyUMC $parameters): AktualizujTworceFormularzaOcenyUMCResponse
    {
        $name = 'AktualizujTworceFormularzaOcenyUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajIPublikujFormularzOcenyUMC(DodajIPublikujFormularzOcenyUMC $parameters): DodajIPublikujFormularzOcenyUMCResponse
    {
        $name = 'DodajIPublikujFormularzOcenyUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajFormularzOcenyUMC(DodajFormularzOcenyUMC $parameters): DodajFormularzOcenyUMCResponse
    {
        $name = 'DodajFormularzOcenyUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowyFormularzOcenyUMC(DajNowyFormularzOcenyUMC $parameters): DajNowyFormularzOcenyUMCResponse
    {
        $name = 'DajNowyFormularzOcenyUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AktualizujPrzelozonychFormularzaOcenyUMC(AktualizujPrzelozonychFormularzaOcenyUMC $parameters): AktualizujPrzelozonychFormularzaOcenyUMCResponse
    {
        $name = 'AktualizujPrzelozonychFormularzaOcenyUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujFormularzOcenyUMC(EdytujFormularzOcenyUMC $parameters): EdytujFormularzOcenyUMCResponse
    {
        $name = 'EdytujFormularzOcenyUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunFormularzOcenyUMC(UsunFormularzOcenyUMC $parameters): UsunFormularzOcenyUMCResponse
    {
        $name = 'UsunFormularzOcenyUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajAdresyPodleglychOcenyUMC(DajAdresyPodleglychOcenyUMC $parameters): DajAdresyPodleglychOcenyUMCResponse
    {
        $name = 'DajAdresyPodleglychOcenyUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function WykonajOperacjeNaFormularzuUMC(WykonajOperacjeNaFormularzuUMC $parameters): WykonajOperacjeNaFormularzuUMCResponse
    {
        $name = 'WykonajOperacjeNaFormularzuUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajMozliweRaportyOdziezyRoboczej(DajMozliweRaportyOdziezyRoboczej $parameters): DajMozliweRaportyOdziezyRoboczejResponse
    {
        $name = 'DajMozliweRaportyOdziezyRoboczej';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajZapisyOdziezyRoboczej(DajZapisyOdziezyRoboczej $parameters): DajZapisyOdziezyRoboczejResponse
    {
        $name = 'DajZapisyOdziezyRoboczej';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DrukujRaportOdziezyRoboczej(DrukujRaportOdziezyRoboczej $parameters): DrukujRaportOdziezyRoboczejResponse
    {
        $name = 'DrukujRaportOdziezyRoboczej';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajMozliweRaportyPortalu(DajMozliweRaportyPortalu $parameters): DajMozliweRaportyPortaluResponse
    {
        $name = 'DajMozliweRaportyPortalu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DrukujRaportPortalu(DrukujRaportPortalu $parameters): DrukujRaportPortaluResponse
    {
        $name = 'DrukujRaportPortalu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function KonfigurujRaportPortalu(KonfigurujRaportPortalu $parameters): KonfigurujRaportPortaluResponse
    {
        $name = 'KonfigurujRaportPortalu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeWnioskowKadrowych(DajListeWnioskowKadrowych $parameters): DajListeWnioskowKadrowychResponse
    {
        $name = 'DajListeWnioskowKadrowych';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWniosekKadrowy(DajWniosekKadrowy $parameters): DajWniosekKadrowyResponse
    {
        $name = 'DajWniosekKadrowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajMozliweRodzajeWnioskuKadrowego(DajMozliweRodzajeWnioskuKadrowego $parameters): DajMozliweRodzajeWnioskuKadrowegoResponse
    {
        $name = 'DajMozliweRodzajeWnioskuKadrowego';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowyWniosekKadrowy(DajNowyWniosekKadrowy $parameters): DajNowyWniosekKadrowyResponse
    {
        $name = 'DajNowyWniosekKadrowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    /**
     * @throws \SoapFault
     */
    public function DodajWniosekKadrowy(DodajWniosekKadrowy $parameters): DodajWniosekKadrowyResponse
    {
        $name = 'DodajWniosekKadrowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DrukujWniosekKadrowy(DrukujWniosekKadrowy $parameters): DrukujWniosekKadrowyResponse
    {
        $name = 'DrukujWniosekKadrowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujWniosekKadrowy(EdytujWniosekKadrowy $parameters): EdytujWniosekKadrowyResponse
    {
        $name = 'EdytujWniosekKadrowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function OdrzucWniosekKadrowy(OdrzucWniosekKadrowy $parameters): OdrzucWniosekKadrowyResponse
    {
        $name = 'OdrzucWniosekKadrowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function PrzekazWniosekKadrowy(PrzekazWniosekKadrowy $parameters): PrzekazWniosekKadrowyResponse
    {
        $name = 'PrzekazWniosekKadrowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunWniosekKadrowy(UsunWniosekKadrowy $parameters): UsunWniosekKadrowyResponse
    {
        $name = 'UsunWniosekKadrowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    /**
     * @throws \SoapFault
     */
    public function WeryfikujWniosekKadrowy(WeryfikujWniosekKadrowy $parameters): WeryfikujWniosekKadrowyResponse
    {
        $name = 'WeryfikujWniosekKadrowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ZaakceptujWniosekKadrowy(ZaakceptujWniosekKadrowy $parameters): ZaakceptujWniosekKadrowyResponse
    {
        $name = 'ZaakceptujWniosekKadrowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajKody(DajKody $parameters): DajKodyResponse
    {
        $name = 'DajKody';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNoweZawiesie(DajNoweZawiesie $parameters): DajNoweZawiesieResponse
    {
        $name = 'DajNoweZawiesie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajZawiesia(DajZawiesia $parameters): DajZawiesiaResponse
    {
        $name = 'DajZawiesia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajZawiesie(DajZawiesie $parameters): DajZawiesieResponse
    {
        $name = 'DajZawiesie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajZawiesie(DodajZawiesie $parameters): DodajZawiesieResponse
    {
        $name = 'DodajZawiesie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujZawiesie(EdytujZawiesie $parameters): EdytujZawiesieResponse
    {
        $name = 'EdytujZawiesie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function KontrolujZawiesie(KontrolujZawiesie $parameters): KontrolujZawiesieResponse
    {
        $name = 'KontrolujZawiesie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunZawiesie(UsunZawiesie $parameters): UsunZawiesieResponse
    {
        $name = 'UsunZawiesie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNoweZgloszenieSzkolenia(DajNoweZgloszenieSzkolenia $parameters): DajNoweZgloszenieSzkoleniaResponse
    {
        $name = 'DajNoweZgloszenieSzkolenia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajZgloszeniaSzkolenia(DajZgloszeniaSzkolenia $parameters): DajZgloszeniaSzkoleniaResponse
    {
        $name = 'DajZgloszeniaSzkolenia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajZgloszenieSzkolenia(DajZgloszenieSzkolenia $parameters): DajZgloszenieSzkoleniaResponse
    {
        $name = 'DajZgloszenieSzkolenia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajZgloszenieSzkolenia(DodajZgloszenieSzkolenia $parameters): DodajZgloszenieSzkoleniaResponse
    {
        $name = 'DodajZgloszenieSzkolenia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujZgloszenieSzkolenia(EdytujZgloszenieSzkolenia $parameters): EdytujZgloszenieSzkoleniaResponse
    {
        $name = 'EdytujZgloszenieSzkolenia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function KontrolujZgloszenieSzkolenia(KontrolujZgloszenieSzkolenia $parameters): KontrolujZgloszenieSzkoleniaResponse
    {
        $name = 'KontrolujZgloszenieSzkolenia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunZgloszenieSzkolenia(UsunZgloszenieSzkolenia $parameters): UsunZgloszenieSzkoleniaResponse
    {
        $name = 'UsunZgloszenieSzkolenia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajKarteStanowiskowa(DajKarteStanowiskowa $parameters): DajKarteStanowiskowaResponse
    {
        $name = 'DajKarteStanowiskowa';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajMozliweRodzajeWnioskuZFS(DajMozliweRodzajeWnioskuZFS $parameters): DajMozliweRodzajeWnioskuZFSResponse
    {
        $name = 'DajMozliweRodzajeWnioskuZFS';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowyWniosekZFS(DajNowyWniosekZFS $parameters): DajNowyWniosekZFSResponse
    {
        $name = 'DajNowyWniosekZFS';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWnioskiZFS(DajWnioskiZFS $parameters): DajWnioskiZFSResponse
    {
        $name = 'DajWnioskiZFS';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWniosekZFS(DajWniosekZFS $parameters): DajWniosekZFSResponse
    {
        $name = 'DajWniosekZFS';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajWniosekZFS(DodajWniosekZFS $parameters): DodajWniosekZFSResponse
    {
        $name = 'DodajWniosekZFS';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujWniosekZFS(EdytujWniosekZFS $parameters): EdytujWniosekZFSResponse
    {
        $name = 'EdytujWniosekZFS';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function KontrolujWniosekZFS(KontrolujWniosekZFS $parameters): KontrolujWniosekZFSResponse
    {
        $name = 'KontrolujWniosekZFS';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunWniosekZFS(UsunWniosekZFS $parameters): UsunWniosekZFSResponse
    {
        $name = 'UsunWniosekZFS';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeMozliwychKodowWnioskuZaPodwladnego(DajListeMozliwychKodowWnioskuZaPodwladnego $parameters): DajListeMozliwychKodowWnioskuZaPodwladnegoResponse
    {
        $name = 'DajListeMozliwychKodowWnioskuZaPodwladnego';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function OpiszKod(OpiszKod $parameters): OpiszKodResponse
    {
        $name = 'OpiszKod';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function OpiszKodNowy(OpiszKodNowy $parameters): OpiszKodNowyResponse
    {
        $name = 'OpiszKodNowy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function OpiszProjekt(OpiszProjekt $parameters): OpiszProjektResponse
    {
        $name = 'OpiszProjekt';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function OpiszRodzajKodow(OpiszRodzajKodow $parameters): OpiszRodzajKodowResponse
    {
        $name = 'OpiszRodzajKodow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWidokKodow(DajWidokKodow $parameters): DajWidokKodowResponse
    {
        $name = 'DajWidokKodow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWidokProjektow(DajWidokProjektow $parameters): DajWidokProjektowResponse
    {
        $name = 'DajWidokProjektow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajKwalifikacje(DajKwalifikacje $parameters): DajKwalifikacjeResponse
    {
        $name = 'DajKwalifikacje';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajModuly(DajModuly $parameters): DajModulyResponse
    {
        $name = 'DajModuly';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajUprawnieniaPoGid(DajUprawnieniaPoGid $parameters): DajUprawnieniaPoGidResponse
    {
        $name = 'DajUprawnieniaPoGid';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajUprawnieniaPoNazwie(DajUprawnieniaPoNazwie $parameters): DajUprawnieniaPoNazwieResponse
    {
        $name = 'DajUprawnieniaPoNazwie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNieobecnosci(DajNieobecnosci $parameters): DajNieobecnosciResponse
    {
        $name = 'DajNieobecnosci';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNieobecnychWspolpracownikowWDniu(DajNieobecnychWspolpracownikowWDniu $parameters): DajNieobecnychWspolpracownikowWDniuResponse
    {
        $name = 'DajNieobecnychWspolpracownikowWDniu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function WstawZapoznanieSieZFormularzemUMC(WstawZapoznanieSieZFormularzemUMC $parameters): WstawZapoznanieSieZFormularzemUMCResponse
    {
        $name = 'WstawZapoznanieSieZFormularzemUMC';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajOcene(DajOcene $parameters): DajOceneResponse
    {
        $name = 'DajOcene';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajOceny(DajOceny $parameters): DajOcenyResponse
    {
        $name = 'DajOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajOcene(DodajOcene $parameters): DodajOceneResponse
    {
        $name = 'DodajOcene';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujOcene(EdytujOcene $parameters): EdytujOceneResponse
    {
        $name = 'EdytujOcene';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunOcene(UsunOcene $parameters): UsunOceneResponse
    {
        $name = 'UsunOcene';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajDateICzasWygasnieciaSesji(DajDateICzasWygasnieciaSesji $parameters): DajDateICzasWygasnieciaSesjiResponse
    {
        $name = 'DajDateICzasWygasnieciaSesji';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajAktywneZakladki(DajAktywneZakladki $parameters): DajAktywneZakladkiResponse
    {
        $name = 'DajAktywneZakladki';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajFormularzOceny(DajFormularzOceny $parameters): DajFormularzOcenyResponse
    {
        $name = 'DajFormularzOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajFormularzeOceny(DajFormularzeOceny $parameters): DajFormularzeOcenyResponse
    {
        $name = 'DajFormularzeOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AktualizujTworceFormularzaOceny(AktualizujTworceFormularzaOceny $parameters): AktualizujTworceFormularzaOcenyResponse
    {
        $name = 'AktualizujTworceFormularzaOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajIPublikujFormularzOceny(DodajIPublikujFormularzOceny $parameters): DodajIPublikujFormularzOcenyResponse
    {
        $name = 'DodajIPublikujFormularzOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajFormularzOceny(DodajFormularzOceny $parameters): DodajFormularzOcenyResponse
    {
        $name = 'DodajFormularzOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowyFormularzOceny(DajNowyFormularzOceny $parameters): DajNowyFormularzOcenyResponse
    {
        $name = 'DajNowyFormularzOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AktualizujPrzelozonychFormularzaOceny(AktualizujPrzelozonychFormularzaOceny $parameters): AktualizujPrzelozonychFormularzaOcenyResponse
    {
        $name = 'AktualizujPrzelozonychFormularzaOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujFormularzOceny(EdytujFormularzOceny $parameters): EdytujFormularzOcenyResponse
    {
        $name = 'EdytujFormularzOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunFormularzOceny(UsunFormularzOceny $parameters): UsunFormularzOcenyResponse
    {
        $name = 'UsunFormularzOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajAdresyPodleglychOceny(DajAdresyPodleglychOceny $parameters): DajAdresyPodleglychOcenyResponse
    {
        $name = 'DajAdresyPodleglychOceny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function WykonajOperacjeNaFormularzu(WykonajOperacjeNaFormularzu $parameters): WykonajOperacjeNaFormularzuResponse
    {
        $name = 'WykonajOperacjeNaFormularzu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPlanyUrlopu(DajPlanyUrlopu $parameters): DajPlanyUrlopuResponse
    {
        $name = 'DajPlanyUrlopu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPlanUrlopu(DajPlanUrlopu $parameters): DajPlanUrlopuResponse
    {
        $name = 'DajPlanUrlopu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPlanUrlopuPodleglych(DajPlanUrlopuPodleglych $parameters): DajPlanUrlopuPodleglychResponse
    {
        $name = 'DajPlanUrlopuPodleglych';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AkceptujOdrzucPlanowanyUrlop(AkceptujOdrzucPlanowanyUrlop $parameters): AkceptujOdrzucPlanowanyUrlopResponse
    {
        $name = 'AkceptujOdrzucPlanowanyUrlop';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajKalendarzUrlopowPlanowanychWspolpracownikow(DajKalendarzUrlopowPlanowanychWspolpracownikow $parameters): DajKalendarzUrlopowPlanowanychWspolpracownikowResponse
    {
        $name = 'DajKalendarzUrlopowPlanowanychWspolpracownikow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunPlanUrlopu(UsunPlanUrlopu $parameters): UsunPlanUrlopuResponse
    {
        $name = 'UsunPlanUrlopu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function TestujPlanUrlopu(TestujPlanUrlopu $parameters): TestujPlanUrlopuResponse
    {
        $name = 'TestujPlanUrlopu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ZapiszPlanUrlopu(ZapiszPlanUrlopu $parameters): ZapiszPlanUrlopuResponse
    {
        $name = 'ZapiszPlanUrlopu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function TestujZapiszPlanUrlopu(TestujZapiszPlanUrlopu $parameters): TestujZapiszPlanUrlopuResponse
    {
        $name = 'TestujZapiszPlanUrlopu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajKalendarzUrlopowPlanowanych(DajKalendarzUrlopowPlanowanych $parameters): DajKalendarzUrlopowPlanowanychResponse
    {
        $name = 'DajKalendarzUrlopowPlanowanych';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajDaneOsobowe(DajDaneOsobowe $parameters): DajDaneOsoboweResponse
    {
        $name = 'DajDaneOsobowe';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListePracownikow(DajListePracownikow $parameters): DajListePracownikowResponse
    {
        $name = 'DajListePracownikow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeWspolpracownikow(DajListeWspolpracownikow $parameters): DajListeWspolpracownikowResponse
    {
        $name = 'DajListeWspolpracownikow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function OpiszPracownika(OpiszPracownika $parameters): OpiszPracownikaResponse
    {
        $name = 'OpiszPracownika';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPrzebiegiPracy(DajPrzebiegiPracy $parameters): DajPrzebiegiPracyResponse
    {
        $name = 'DajPrzebiegiPracy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AktualizujACLRoli(AktualizujACLRoli $parameters): AktualizujACLRoliResponse
    {
        $name = 'AktualizujACLRoli';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AktualizujPrzynaleznoscUzytkownikowDoRoli(AktualizujPrzynaleznoscUzytkownikowDoRoli $parameters): AktualizujPrzynaleznoscUzytkownikowDoRoliResponse
    {
        $name = 'AktualizujPrzynaleznoscUzytkownikowDoRoli';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajRolePojedyncza(DajRolePojedyncza $parameters): DajRolePojedynczaResponse
    {
        $name = 'DajRolePojedyncza';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajRole(DajRole $parameters): DajRoleResponse
    {
        $name = 'DajRole';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajRole(DodajRole $parameters): DodajRoleResponse
    {
        $name = 'DodajRole';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujRole(EdytujRole $parameters): EdytujRoleResponse
    {
        $name = 'EdytujRole';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunRole(UsunRole $parameters): UsunRoleResponse
    {
        $name = 'UsunRole';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeSciezekAkceptacji(DajListeSciezekAkceptacji $parameters): DajListeSciezekAkceptacjiResponse
    {
        $name = 'DajListeSciezekAkceptacji';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajSciezkeAkceptacji(DajSciezkeAkceptacji $parameters): DajSciezkeAkceptacjiResponse
    {
        $name = 'DajSciezkeAkceptacji';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajSciezkeAkceptacji(DodajSciezkeAkceptacji $parameters): DodajSciezkeAkceptacjiResponse
    {
        $name = 'DodajSciezkeAkceptacji';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujSciezkeAkceptacji(EdytujSciezkeAkceptacji $parameters): EdytujSciezkeAkceptacjiResponse
    {
        $name = 'EdytujSciezkeAkceptacji';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunSciezkeAkceptacji(UsunSciezkeAkceptacji $parameters): UsunSciezkeAkceptacjiResponse
    {
        $name = 'UsunSciezkeAkceptacji';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajSzkolenia(DajSzkolenia $parameters): DajSzkoleniaResponse
    {
        $name = 'DajSzkolenia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajUmowyOPrace(DajUmowyOPrace $parameters): DajUmowyOPraceResponse
    {
        $name = 'DajUmowyOPrace';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajInformacjeOSaldach(DajInformacjeOSaldach $parameters): DajInformacjeOSaldachResponse
    {
        $name = 'DajInformacjeOSaldach';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajUzytkownika(DajUzytkownika $parameters): DajUzytkownikaResponse
    {
        $name = 'DajUzytkownika';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajUzytkownikow(DajUzytkownikow $parameters): DajUzytkownikowResponse
    {
        $name = 'DajUzytkownikow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajUzytkownika(DodajUzytkownika $parameters): DodajUzytkownikaResponse
    {
        $name = 'DodajUzytkownika';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujUzytkownika(EdytujUzytkownika $parameters): EdytujUzytkownikaResponse
    {
        $name = 'EdytujUzytkownika';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunUzytkownika(UsunUzytkownika $parameters): UsunUzytkownikaResponse
    {
        $name = 'UsunUzytkownika';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajAdresy(DajAdresy $parameters): DajAdresyResponse
    {
        $name = 'DajAdresy';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeWiadomosci(DajListeWiadomosci $parameters): DajListeWiadomosciResponse
    {
        $name = 'DajListeWiadomosci';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWiadomosc(DajWiadomosc $parameters): DajWiadomoscResponse
    {
        $name = 'DajWiadomosc';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UstawJakoOdebrana(UstawJakoOdebrana $parameters): UstawJakoOdebranaResponse
    {
        $name = 'UstawJakoOdebrana';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UstawJakoUkryta(UstawJakoUkryta $parameters): UstawJakoUkrytaResponse
    {
        $name = 'UstawJakoUkryta';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function PublikujWiadomosc(PublikujWiadomosc $parameters): PublikujWiadomoscResponse
    {
        $name = 'PublikujWiadomosc';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ZapiszWiadomosc(ZapiszWiadomosc $parameters): ZapiszWiadomoscResponse
    {
        $name = 'ZapiszWiadomosc';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPriorytetyWiadomosci(DajPriorytetyWiadomosci $parameters): DajPriorytetyWiadomosciResponse
    {
        $name = 'DajPriorytetyWiadomosci';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPodwladnychDlaKtorychMogeSkladacWnioski(DajPodwladnychDlaKtorychMogeSkladacWnioski $parameters): DajPodwladnychDlaKtorychMogeSkladacWnioskiResponse
    {
        $name = 'DajPodwladnychDlaKtorychMogeSkladacWnioski';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AkceptujOdrzucZastepstwo(AkceptujOdrzucZastepstwo $parameters): AkceptujOdrzucZastepstwoResponse
    {
        $name = 'AkceptujOdrzucZastepstwo';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AkceptujZastepstwo(AkceptujZastepstwo $parameters): AkceptujZastepstwoResponse
    {
        $name = 'AkceptujZastepstwo';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function OdrzucZastepstwo(OdrzucZastepstwo $parameters): OdrzucZastepstwoResponse
    {
        $name = 'OdrzucZastepstwo';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeWnioskow(DajListeWnioskow $parameters): DajListeWnioskowResponse
    {
        $name = 'DajListeWnioskow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeWnioskowZWskazaniemNaZastepce(DajListeWnioskowZWskazaniemNaZastepce $parameters): DajListeWnioskowZWskazaniemNaZastepceResponse
    {
        $name = 'DajListeWnioskowZWskazaniemNaZastepce';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowyWniosek(DajNowyWniosek $parameters): DajNowyWniosekResponse
    {
        $name = 'DajNowyWniosek';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowyWniosekDlaPodwladnego(DajNowyWniosekDlaPodwladnego $parameters): DajNowyWniosekDlaPodwladnegoResponse
    {
        $name = 'DajNowyWniosekDlaPodwladnego';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWniosek(DajWniosek $parameters): DajWniosekResponse
    {
        $name = 'DajWniosek';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function PotwierdzMFA(PotwierdzMFA $parameters): PotwierdzMFAResponse
    {
        $name = 'PotwierdzMFA';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function Hello(Hello $parameters): HelloResponse
    {
        $name = 'Hello';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DrukujRaportOdbic(DrukujRaportOdbic $parameters): DrukujRaportOdbicResponse
    {
        $name = 'DrukujRaportOdbic';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunDokument(UsunDokument $parameters): UsunDokumentResponse
    {
        $name = 'UsunDokument';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AktualizujDaneOsobowe(AktualizujDaneOsobowe $parameters): AktualizujDaneOsoboweResponse
    {
        $name = 'AktualizujDaneOsobowe';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function SesjaPlus(SesjaPlus $parameters): SesjaPlusResponse
    {
        $name = 'SesjaPlus';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajOpisPracownika(DajOpisPracownika $parameters): DajOpisPracownikaResponse
    {
        $name = 'DajOpisPracownika';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajAdresyEmailZalogowanego(DajAdresyEmailZalogowanego $parameters): DajAdresyEmailZalogowanegoResponse
    {
        $name = 'DajAdresyEmailZalogowanego';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DrukujRaportWnioskowRCP(DrukujRaportWnioskowRCP $parameters): DrukujRaportWnioskowRCPResponse
    {
        $name = 'DrukujRaportWnioskowRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AkceptujOdrzucWniosekRCP(AkceptujOdrzucWniosekRCP $parameters): AkceptujOdrzucWniosekRCPResponse
    {
        $name = 'AkceptujOdrzucWniosekRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListePracownikowDoWnioskuRCP(DajListePracownikowDoWnioskuRCP $parameters): DajListePracownikowDoWnioskuRCPResponse
    {
        $name = 'DajListePracownikowDoWnioskuRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DrukujRaport(DrukujRaport $parameters): DrukujRaportResponse
    {
        $name = 'DrukujRaport';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWnioskiRCPPozostajaceDoOdbioru(DajWnioskiRCPPozostajaceDoOdbioru $parameters): DajWnioskiRCPPozostajaceDoOdbioruResponse
    {
        $name = 'DajWnioskiRCPPozostajaceDoOdbioru';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPojedynczyWniosekRCP(DajPojedynczyWniosekRCP $parameters): DajPojedynczyWniosekRCPResponse
    {
        $name = 'DajPojedynczyWniosekRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowyWniosekRCP(DajNowyWniosekRCP $parameters): DajNowyWniosekRCPResponse
    {
        $name = 'DajNowyWniosekRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWidokWnioskowRCP(DajWidokWnioskowRCP $parameters): DajWidokWnioskowRCPResponse
    {
        $name = 'DajWidokWnioskowRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajWniosekRCP(DodajWniosekRCP $parameters): DodajWniosekRCPResponse
    {
        $name = 'DodajWniosekRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function KontrolujWniosekRCP(KontrolujWniosekRCP $parameters): KontrolujWniosekRCPResponse
    {
        $name = 'KontrolujWniosekRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ModyfikujWniosekRCP(ModyfikujWniosekRCP $parameters): ModyfikujWniosekRCPResponse
    {
        $name = 'ModyfikujWniosekRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunWniosekRCP(UsunWniosekRCP $parameters): UsunWniosekRCPResponse
    {
        $name = 'UsunWniosekRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWierszeKartRCPx(DajWierszeKartRCPx $parameters): DajWierszeKartRCPxResponse
    {
        $name = 'DajWierszeKartRCPx';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPojedynczaTrase(DajPojedynczaTrase $parameters): DajPojedynczaTraseResponse
    {
        $name = 'DajPojedynczaTrase';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowaTrase(DajNowaTrase $parameters): DajNowaTraseResponse
    {
        $name = 'DajNowaTrase';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeTras(DajListeTras $parameters): DajListeTrasResponse
    {
        $name = 'DajListeTras';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWidokTras(DajWidokTras $parameters): DajWidokTrasResponse
    {
        $name = 'DajWidokTras';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajTrase(DodajTrase $parameters): DodajTraseResponse
    {
        $name = 'DodajTrase';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function KontrolujTrase(KontrolujTrase $parameters): KontrolujTraseResponse
    {
        $name = 'KontrolujTrase';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ModyfikujTrase(ModyfikujTrase $parameters): ModyfikujTraseResponse
    {
        $name = 'ModyfikujTrase';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunTrase(UsunTrase $parameters): UsunTraseResponse
    {
        $name = 'UsunTrase';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowaDelegacje(DajNowaDelegacje $parameters): DajNowaDelegacjeResponse
    {
        $name = 'DajNowaDelegacje';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPojedynczaDelegacje(DajPojedynczaDelegacje $parameters): DajPojedynczaDelegacjeResponse
    {
        $name = 'DajPojedynczaDelegacje';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeDelegacji(DajListeDelegacji $parameters): DajListeDelegacjiResponse
    {
        $name = 'DajListeDelegacji';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWidokDelegacji(DajWidokDelegacji $parameters): DajWidokDelegacjiResponse
    {
        $name = 'DajWidokDelegacji';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajDelegacje(DodajDelegacje $parameters): DodajDelegacjeResponse
    {
        $name = 'DodajDelegacje';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function KontrolujDelegacje(KontrolujDelegacje $parameters): KontrolujDelegacjeResponse
    {
        $name = 'KontrolujDelegacje';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ModyfikujDelegacje(ModyfikujDelegacje $parameters): ModyfikujDelegacjeResponse
    {
        $name = 'ModyfikujDelegacje';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunDelegacje(UsunDelegacje $parameters): UsunDelegacjeResponse
    {
        $name = 'UsunDelegacje';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowySamochod(DajNowySamochod $parameters): DajNowySamochodResponse
    {
        $name = 'DajNowySamochod';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajPojedynczySamochod(DajPojedynczySamochod $parameters): DajPojedynczySamochodResponse
    {
        $name = 'DajPojedynczySamochod';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeSamochodow(DajListeSamochodow $parameters): DajListeSamochodowResponse
    {
        $name = 'DajListeSamochodow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWidokSamochodow(DajWidokSamochodow $parameters): DajWidokSamochodowResponse
    {
        $name = 'DajWidokSamochodow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajSamochod(DodajSamochod $parameters): DodajSamochodResponse
    {
        $name = 'DodajSamochod';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function KontrolujSamochod(KontrolujSamochod $parameters): KontrolujSamochodResponse
    {
        $name = 'KontrolujSamochod';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ModyfikujSamochod(ModyfikujSamochod $parameters): ModyfikujSamochodResponse
    {
        $name = 'ModyfikujSamochod';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunSamochod(UsunSamochod $parameters): UsunSamochodResponse
    {
        $name = 'UsunSamochod';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajBadaniaLekarskie(DajBadaniaLekarskie $parameters): DajBadaniaLekarskieResponse
    {
        $name = 'DajBadaniaLekarskie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajZdarzeniaRCP(DajZdarzeniaRCP $parameters): DajZdarzeniaRCPResponse
    {
        $name = 'DajZdarzeniaRCP';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajZdarzeniaRCPWspolpracownikow(DajZdarzeniaRCPWspolpracownikow $parameters): DajZdarzeniaRCPWspolpracownikowResponse
    {
        $name = 'DajZdarzeniaRCPWspolpracownikow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNoweOdbicie(DajNoweOdbicie $parameters): DajNoweOdbicieResponse
    {
        $name = 'DajNoweOdbicie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajOdbicia(DajOdbicia $parameters): DajOdbiciaResponse
    {
        $name = 'DajOdbicia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DodajOdbicie(DodajOdbicie $parameters): DodajOdbicieResponse
    {
        $name = 'DodajOdbicie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajOstatnieOdbicie(DajOstatnieOdbicie $parameters): DajOstatnieOdbicieResponse
    {
        $name = 'DajOstatnieOdbicie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajOdbicie(DajOdbicie $parameters): DajOdbicieResponse
    {
        $name = 'DajOdbicie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunOdbicie(UsunOdbicie $parameters): UsunOdbicieResponse
    {
        $name = 'UsunOdbicie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function EdytujOdbicie(EdytujOdbicie $parameters): EdytujOdbicieResponse
    {
        $name = 'EdytujOdbicie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function WstawOdbicie(WstawOdbicie $parameters): WstawOdbicieResponse
    {
        $name = 'WstawOdbicie';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajUstawieniaRejestruNadgodzin(DajUstawieniaRejestruNadgodzin $parameters): DajUstawieniaRejestruNadgodzinResponse
    {
        $name = 'DajUstawieniaRejestruNadgodzin';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function AktualizujParametryNadgodziny(AktualizujParametryNadgodziny $parameters): AktualizujParametryNadgodzinyResponse
    {
        $name = 'AktualizujParametryNadgodziny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajRealizacjeDoWniosku(DajRealizacjeDoWniosku $parameters): DajRealizacjeDoWnioskuResponse
    {
        $name = 'DajRealizacjeDoWniosku';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajInformacjeOPrzetwarzaniu(DajInformacjeOPrzetwarzaniu $parameters): DajInformacjeOPrzetwarzaniuResponse
    {
        $name = 'DajInformacjeOPrzetwarzaniu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajMozliweRodzajeZapisu(DajMozliweRodzajeZapisu $parameters): DajMozliweRodzajeZapisuResponse
    {
        $name = 'DajMozliweRodzajeZapisu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNadgodzine(DajNadgodzine $parameters): DajNadgodzineResponse
    {
        $name = 'DajNadgodzine';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNadgodziny(DajNadgodziny $parameters): DajNadgodzinyResponse
    {
        $name = 'DajNadgodziny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajNowaNadgodzine(DajNowaNadgodzine $parameters): DajNowaNadgodzineResponse
    {
        $name = 'DajNowaNadgodzine';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajWniosekZlecenieDoOkreslonejRealizacji(DajWniosekZlecenieDoOkreslonejRealizacji $parameters): DajWniosekZlecenieDoOkreslonejRealizacjiResponse
    {
        $name = 'DajWniosekZlecenieDoOkreslonejRealizacji';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function UsunNadgodzine(UsunNadgodzine $parameters): UsunNadgodzineResponse
    {
        $name = 'UsunNadgodzine';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ZaakceptujZdejmijAkceptacje(ZaakceptujZdejmijAkceptacje $parameters): ZaakceptujZdejmijAkceptacjeResponse
    {
        $name = 'ZaakceptujZdejmijAkceptacje';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function ZapiszNadgodzine(ZapiszNadgodzine $parameters): ZapiszNadgodzineResponse
    {
        $name = 'ZapiszNadgodzine';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajCzlonkowRodziny(DajCzlonkowRodziny $parameters): DajCzlonkowRodzinyResponse
    {
        $name = 'DajCzlonkowRodziny';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajDokumenty(DajDokumenty $parameters): DajDokumentyResponse
    {
        $name = 'DajDokumenty';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajHistoriePrzetwarzaniaDokumentu(DajHistoriePrzetwarzaniaDokumentu $parameters): DajHistoriePrzetwarzaniaDokumentuResponse
    {
        $name = 'DajHistoriePrzetwarzaniaDokumentu';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajDokument(DajDokument $parameters): DajDokumentResponse
    {
        $name = 'DajDokument';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajDokument1(DajDokument1 $parameters): DajDokument1Response
    {
        $name = 'DajDokument1';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajDokumentZWybranaTrescia(DajDokumentZWybranaTrescia $parameters): DajDokumentZWybranaTresciaResponse
    {
        $name = 'DajDokumentZWybranaTrescia';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajDokumentZWybranaTrescia1(DajDokumentZWybranaTrescia1 $parameters): DajDokumentZWybranaTrescia1Response
    {
        $name = 'DajDokumentZWybranaTrescia1';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function WyslijDokumentEmail(WyslijDokumentEmail $parameters): WyslijDokumentEmailResponse
    {
        $name = 'WyslijDokumentEmail';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajMozliweImporty(DajMozliweImporty $parameters): DajMozliweImportyResponse
    {
        $name = 'DajMozliweImporty';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function Importuj(Importuj $parameters): ImportujResponse
    {
        $name = 'Importuj';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajInformacjePlacowe(DajInformacjePlacowe $parameters): DajInformacjePlacoweResponse
    {
        $name = 'DajInformacjePlacowe';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajJezyki(DajJezyki $parameters): DajJezykiResponse
    {
        $name = 'DajJezyki';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajKary(DajKary $parameters): DajKaryResponse
    {
        $name = 'DajKary';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeKodow(DajListeKodow $parameters): DajListeKodowResponse
    {
        $name = 'DajListeKodow';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    public function DajListeMozliwychKodowWniosku(DajListeMozliwychKodowWniosku $parameters): DajListeMozliwychKodowWnioskuResponse
    {
        $name = 'DajListeMozliwychKodowWniosku';
        $this->addHeaders($name);

        return $this->client->__soapCall($name, [$parameters]);
    }

    private function addHeaders(string $name): void
    {
        $namespace = 'http://www.w3.org/2005/08/addressing';
        $action_header_val = 'http://tempuri.org/IUslugaPortaluPracownika20WCF/' . $name;
        $headers = [
            new \SoapHeader($namespace, 'Action', $action_header_val, true),
            new \SoapHeader($namespace, 'To', $this->host, true),
        ];
        $this->client->__setSoapHeaders($headers);
    }
}
